com.rscja.deviceapi

## Class UhfBase.ErrorCode

- java.lang.Object
- - com.rscja.deviceapi.UhfBase.ErrorCode

- Enclosing class:
    UhfBase

      public class UhfBase.ErrorCode
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `ERRCODE_FAILURE` 失败(Failure)
    `static int` | `ERRCODE_SUCCESS` 成功(Success)
    `static int` | `ERROR_INSUFFICIENT_PRIVILEGES` 没有权限访问(The Interrogator did not authenticate itself with sufficient privileges for the Tag to perform the operation)
    `static int` | `ERROR_MEMORY_LOCK` 数据区被锁定(Memory lock)
    `static int` | `ERROR_MEMORY_OVERRUN` 数据区超限(Memory Overflow)
    `static int` | `ERROR_NO_ENOUGH_POWER_ON_TAG` 标签能量不足(no enough power on tag)
    `static int` | `ERROR_NO_TAG` 找不到标签(No tags found.)
    `static int` | `ERROR_OPERATION_FAILED` 操作失败(0peration failure)
    `static int` | `ERROR_PASSWORD_IS_INCORRECT` 密码不正确(Incorrect Password)
    `static int` | `ERROR_RECV_FAIL` 接收失败(Receive failure)
    `static int` | `ERROR_RESPONSE_BUFFER_OVERFLOW` 缓冲区溢出(The operation failed because the ResponseBuffer overflowed)
    `static int` | `ERROR_SEND_FAIL` 发送失败(Send failure)
    `static int` | `ERROR_TAG_NO_REPLY` 标签没有应答(Tag not responding)

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ErrorCode()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ERROR_NO_TAG

          public static final int ERROR_NO_TAG

      找不到标签(No tags found.)
      See Also:
        Constant Field Values

    - #### ERROR_INSUFFICIENT_PRIVILEGES

          public static final int ERROR_INSUFFICIENT_PRIVILEGES

      没有权限访问(The Interrogator did not authenticate itself with sufficient privileges for the Tag to perform the operation)
      See Also:
        Constant Field Values

    - #### ERROR_MEMORY_OVERRUN

          public static final int ERROR_MEMORY_OVERRUN

      数据区超限(Memory Overflow)
      See Also:
        Constant Field Values

    - #### ERROR_MEMORY_LOCK

          public static final int ERROR_MEMORY_LOCK

      数据区被锁定(Memory lock)
      See Also:
        Constant Field Values

    - #### ERROR_TAG_NO_REPLY

          public static final int ERROR_TAG_NO_REPLY

      标签没有应答(Tag not responding)
      See Also:
        Constant Field Values

    - #### ERROR_PASSWORD_IS_INCORRECT

          public static final int ERROR_PASSWORD_IS_INCORRECT

      密码不正确(Incorrect Password)
      See Also:
        Constant Field Values

    - #### ERROR_RESPONSE_BUFFER_OVERFLOW

          public static final int ERROR_RESPONSE_BUFFER_OVERFLOW

      缓冲区溢出(The operation failed because the ResponseBuffer overflowed)
      See Also:
        Constant Field Values

    - #### ERROR_NO_ENOUGH_POWER_ON_TAG

          public static final int ERROR_NO_ENOUGH_POWER_ON_TAG

      标签能量不足(no enough power on tag)
      See Also:
        Constant Field Values

    - #### ERROR_OPERATION_FAILED

          public static final int ERROR_OPERATION_FAILED

      操作失败(0peration failure)
      See Also:
        Constant Field Values

    - #### ERROR_SEND_FAIL

          public static final int ERROR_SEND_FAIL

      发送失败(Send failure)
      See Also:
        Constant Field Values

    - #### ERROR_RECV_FAIL

          public static final int ERROR_RECV_FAIL

      接收失败(Receive failure)
      See Also:
        Constant Field Values

    - #### ERRCODE_SUCCESS

          public static final int ERRCODE_SUCCESS

      成功(Success)
      See Also:
        Constant Field Values

    - #### ERRCODE_FAILURE

          public static final int ERRCODE_FAILURE

      失败(Failure)
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ErrorCode

          public ErrorCode()